<script lang="ts">
import { defineComponent } from '@vue/composition-api'

import { Splitpanes, Pane } from 'splitpanes'
import 'splitpanes/dist/splitpanes.css'

import MessageLog from '@/components/dashboard/MessageLog.vue'
import ProductionState from '@/components/ProductionState.vue'

export default defineComponent({
	name: "Metrics",
	components: { Splitpanes, Pane, MessageLog, ProductionState },
	setup() {
		
	},
})
</script>



<template>

	<splitpanes class="panes">
		<pane class="metrics">
			<ProductionState></ProductionState>
		</pane>
		<pane class="msglog">
			<MessageLog></MessageLog>
		</pane>
	</splitpanes>

</template>

<style scoped>
.panes {
	height: calc(100vh - 100px);
}
</style>